<!DOCTYPE html>
<html lang="en">
<head>
<title>About us</title>
<meta charset="utf-8">
<meta http-equiv="X-UA-Compatible" content="IE=edge">
<meta name="description" content="Mixtape template project">
<meta name="viewport" content="width=device-width, initial-scale=1">
<link rel="stylesheet" type="text/css" href="styles/bootstrap-4.1.2/bootstrap.min.css">
<link href="plugins/font-awesome-4.7.0/css/font-awesome.min.css" rel="stylesheet" type="text/css">
<link rel="stylesheet" type="text/css" href="plugins/OwlCarousel2-2.2.1/owl.carousel.css">
<link rel="stylesheet" type="text/css" href="plugins/OwlCarousel2-2.2.1/owl.theme.default.css">
<link rel="stylesheet" type="text/css" href="plugins/OwlCarousel2-2.2.1/animate.css">
<link rel="stylesheet" type="text/css" href="styles/about.css">
<link rel="stylesheet" type="text/css" href="styles/about_responsive.css">
</head>
<body>

<div class="super_container">

	<!-- Header -->
	<header class="header">
		<div class="header_content d-flex flex-row align-items-center justify-content-center">
			<div class="logo"><a href="#">Volunteer4.Me</a></div>
			<nav class="main_nav">
				<ul class="d-flex flex-row align-items-start justify-content-start">
                    <li><a href="index.html">Home</a></li>
                    <li class="active"><a href="about.html">About us</a></li>
                    <li><a href="allevents.html">All Events</a></li>
                    <li><a href="types.html">Types of Events</a></li>
                    <li><a href="community.html">Community Groups</a></li>
				</ul>
			</nav>
			<div class="hamburger ml-auto">
				<div class="d-flex flex-column align-items-end justify-content-between">
					<div></div>
					<div></div>
					<div></div>
				</div>
			</div>
		</div>
	</header>

	<!-- Menu -->

	<div class="menu">
		<div>
			<div class="menu_overlay"></div>
			<div class="menu_container d-flex flex-column align-items-start justify-content-center">
				<nav class="menu_nav">
					<ul class="d-flex flex-column align-items-start justify-content-start">
                        <li><a href="index.html">Home</a></li>
                        <li><a href="about.html">About us</a></li>
                        <li><a href="allevents.html">All Events</a></li>
                        <li><a href="types.html">Types of Events</a></li>
                        <li><a href="community.html">Community Groups</a></li>
					</ul>
				</nav>
			</div>
		</div>
	</div>

	<!-- Why Volunteering? -->

	<div class="artist">
		<div class="parallax_background parallax-window" data-parallax="scroll" data-image-src="images/ut.jpg" data-speed="0.8"></div>
		<div class="container">
			<div class="row">

				<!-- Content -->
					<div class="artist_content">
						<div class="section_title_container">
							<div class="section_title"><h1>Why Volunteering?</h1></div>
						</div>
						<div class="artist_text">
                            <h4>Volunteering is such an important part of our communities, and it’s our duty as citizens to improve them through acts of service. Volunteer4.me helps people in the Austin area easily find upcoming volunteering opportunities based on their communities and interests. Let’s work together to help society!</h4>
                            <h4>We connect and work with different data which allows us to guide you to your desired volunteer opportunities! This integration helps filter and match you up based on specifics since we have different datasets to work with!</h4>
						</div>
				</div>
			</div>
		</div>
	</div>

    <!-- Team Members -->

    <div class="artist">
        <div class="container">
            <div class="row">

                <!-- Content -->
                        <div class="section_title_container">
                            <div class="section_title"><h1>Team Members</h1></div>
                        </div>
                        <div class="row">
													<div class="col">
															<div class="card">
																	<div class="card-body fluid">
																			<img class="card-img-top" style={{height: '300px'}} src="images/nishtha.jpg" alt="Shivam's Profile Image"></img>
																			<div class="card-body">
																					<h3 class="card-title" style="color:black;">Nishtha Aggarwal</h5>
																					<h7 class="card-title" style="color:black;">Roles: Frontend Engineer</h7>
																					<p class="card-text" style="color:black;">Junior Computer Science Major at UT Austin (Graduating May 2020) who loves concerts and baking</p>
																					<a href="https://www.linkedin.com/in/kaushik-koirala-097629181/" class="card-link">Learn More</a>
																			</div>
																	</div>
															</div>
                            </div>
                            <div class="col">
                                <div class="card">
                                    <div class="card-body fluid">
                                        <img class="card-img-top" style={{height: '300px'}} src="images/kaushik.jpg" alt="Shivam's Profile Image"></img>
                                        <div class="card-body">
                                            <h3 class="card-title" style="color:black">Kaushik Koirala</h5>
                                            <h7 class="card-title" style="color:black">Roles: API Data/Config Handling</h7>
                                            <p class="card-text" style="color:black">Junior Computer Science major at UT Austin (Graduating May 2020) who is interested in soccer, politics and movies</p>
                                            <a href="https://www.linkedin.com/in/kaushik-koirala-097629181/" class="card-link">Learn More</a>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="col">
                                <div class="card">
                                    <div class="card-body fluid">
                                        <img class="card-img-top img-fluid" style={{width: '300px', height: '300px'}} src="images/haarika.jpg"alt="Shivam's Profile Image"></img>
                                        <div class="card-body">
                                            <h3 class="card-title" style="color:black">Haarika Somarouthu</h5>
                                            <h7 class="card-title" style="color:black">Roles: Frontend Developer</h7>
                                            <p class="card-text" style="color:black">Junior Computer Science Major at UT Austin (Graduating May 2020) who loves to dance and study at coffee shops</p>
                                            <a href="https://www.linkedin.com/in/haarika-somarouthu-b2b014164/" class="card-link">Learn More</a>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="row mt-3">
                            <div class="col">
                                <div class="card">
                                    <div class="card-body fluid">
                                        <img class="card-img-top" style={{height: '300px'}} src="images/raja.jpg" alt="Shivam's Profile Image"></img>
                                        <div class="card-body">
                                            <h3 class="card-title" style="color:black">Raja Akula</h5>
                                            <h7 class="card-title" style="color:black">Roles: Web Server, Backend</h7>
                                            <p class="card-text" style="color:black">Junior Computer Science Major at UT Austin (Gradiuating Fall 2019) who loves photography</p>
                                            <a href="https://www.linkedin.com/in/raja-akula-555b03128/" class="card-link">Learn More</a>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="col">
                                <div class="card">
                                    <div class="card-body fluid">
                                        <img class="card-img-top" style={{height: '300px'}} src="images/shivam.jpg" alt="Shivam's Profile Image"></img>
                                        <div class="card-body">
                                            <h3 class="card-title" style="color:black">Shivam Patel</h5>
                                            <h7 class="card-title" style="color:black">Roles: Git God, Backend</h7>
                                            <p class="card-text" style="color:black">Junior Computer Science major at UT-Austin (Graduating May 2020) who loves to travel and is a part of UT Punjabbawockeez</p>
                                            <a href="https://www.linkedin.com/in/shivam-p-patel/" class="card-link">Learn More</a>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="col">

                            </div>
                        </div>
                </div>
            </div>
        </div>
    </div>

    <!-- gitlab Statistics -->

    <div class="artist">
    <div class="parallax_background parallax-window" data-parallax="scroll" data-image-src="images/artist_2.jpg" data-speed="0.8"></div>
    <div class="container">
        <div class="row">

            <!-- Content -->
            <div class="artist_content">
                <div class="section_title_container">
                    <div class="section_title"><h1>Gitlab Statistics</h1></div>
                    </GitTable/>
                </div>
                <br/>
            </div>
        </div>
    </div>
    </div>


    <!-- Links -->

    <div class="artist">
        <div class="container">
            <div class="row">

                <!-- Content -->
                <div class="artist_content">
                    <div class="section_title_container">
                        <div class="section_title"><h1>Links</h1></div>
                        <div class="row mt-5">
                            <div class="col">
                                <h3 class="text-center"><a href="https://documenter.getpostman.com/view/6805936/S11LsHsW">Postman API Link</a></h3>
                            </div>
                            <div class="col">
                                <h3 class="text-center"><a href="https://gitlab.com/raja.akula97/cs373-idb">GitLab Repo Link</a></h3>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>


    <!-- Data Sources -->

    <div class="artist">
        <div class="parallax_background parallax-window" data-parallax="scroll" data-image-src="images/artist_2.jpg" data-speed="0.8"></div>
        <div class="container">
            <div class="row">

                <!-- Content -->
                <div class="artist_content">
                    <div class="section_title_container">
                        <div class="row mt-5">
                            <div class="row mt-2">
                                <h3>Data Sources</h3>
                                <div class = "container">
                                    <br/>
                                    <a href="https://www.meetup.com/meetup_api/">Meetup API:</a><br/>
                                    <p>The Meetup API gave us information on Meetup events and in general in JSON format, which we then had to parse through
                                    to find specific volunteering opportunities and volunteering oriented groups. Most attributes (such as name, and description) translated directly
                                    to the data we were able to put on our pages but some things, such as time, needed to be converted for readability. </p>
                                    <br/>
                                    <a href="https://www.volunteermatch.org/openapi">VolunteerMatch API:</a><br/>
                                    <p> Unlike the other two APIs, VolunteerMatch API gave us information only about volunteering opportunities. The response from this API was in JSON format,
                                    which we parsed to display the relevant information on each of our event pages.
                                    </p>  <br/>
                                    <a href="https://www.eventbrite.com/platform/api">Eventbrite API:</a><br/>
                                    <p> The Eventbrite API gave us information on more events in a JSON format. We queried the API
                                    specifically for events related to volunteering and were able to directly use most attributes of data
                                    directly on the pages we displayed.
                                    </p>
                                </div>
                        </div>
                    </div>
                </div>
            </div>
            </div>
        </div>
    </div>
    </div>

    <!-- Putting it all together -->

    <div class="artist">
        <div class="container">
            <div class="row">

                <!-- Content -->
                <div class="artist_content">
                    <div class="section_title_container">
                        <div class="section_title"><h1>Putting it all together</h1></div>
                    </div>
                    <div class="artist_text">
                        <p> We were able to make something more of similar data that we collected from disparate data sources due to the user bases and the nature of the data of the different sources we used. On VolunteerMatch, typically service-oriented organizations posted volunteering opportunities that we were able to access. On Meetup, there seemed to be more of a focus on different community groups (that aren't necessarily service-oriented) but host volunteering and service events from time to time. With Meetup's data, it was our job to figure out which of those opportunities from which of those groups were volunteering opportunities. Similarly, Eventbrite wasn't a solely service-oriented data source. There were many commercial events posted on Eventbrite which had volunteering opportunities that probably wouldn't have been available from the other sources (such as volunteering opportunities at sporting events, concerts, and festivals.) Putting these 3 different sources together, we believe we'll be able to put together more opportunities for our fellow Austinites than through just one service-oriented source alone. In the future, we hope to be able to use Google's Maps and Calendar APIs to access data that would allow us to embed map and calendar functionality to our pages.</p>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <!-- Tools Used -->

    <div class="artist">
        <div class="parallax_background parallax-window" data-parallax="scroll" data-image-src="images/artist_2.jpg" data-speed="0.8"></div>
        <div class="container">
            <div class="row">

                <!-- Content -->
                <div class="artist_content">
                    <div class="section_title_container">
                        <div class="section_title"><h1>Tools Used</h1></div>
                    </div>
                    <div class="artist_text">
                        <div class="row mt-2">
                            <div class="col-sm-2">
                                <a href="https://about.gitlab.com/"><img class="img-fluid" src="https://docs.gitlab.com/assets/images/gitlab-logo.svg"></img></a>
                            </div>
                            <div class="col-sm-4">
                                <span class="align-middle">GitLab provides us code status and workflow solutions that help us stay organized and push clean code.</span>
                            </div>
                            <div class="col-sm-2">
                                <a href="https://www.namecheap.com/"><img class="img-fluid" src="http://pluspng.com/img-png/logo-namecheap-png-namecheap-domain-and-hosting-coupons-promocodes-480.png"></img></a>
                            </div>
                            <div class="col-sm-4">
                                <span class="align-middle">NameCheap provides our team cheap, easy-to-use domain services to simply connect with users.</span>
                            </div>
                        </div>
                        <div class="row mt-2">
                            <div class="col-sm-2">
                                <a href="https://aws.amazon.com/"><img class="img-fluid" src="https://www.avidsecure.io/wp-content/uploads/2018/08/aws-logo.png"></img></a>
                            </div>
                            <div class="col-sm-4">
                                <span class="align-middle">AWS is an easy-to-use cloud services platform that serves server hosting and compute power all from cloud instances</span>
                            </div>
                            <div class="col-sm-2">
                                <a href="https://reactjs.org/"><img class="img-fluid" src="https://upload.wikimedia.org/wikipedia/commons/thumb/a/a7/React-icon.svg/2000px-React-icon.svg.png"></img></a>
                            </div>
                            <div class="col-sm-4">
                                <span class="align-middle">React is a simple JavaScript framework that expedites the process of creating UI interactions with users over web applications.</span>
                            </div>
                        </div>
                        <div class="row mt-2">
                            <div class="col-sm-2" style="padding:20px">
                                <a href="https://www.getpostman.com/"><img class="img-fluid" src="https://www.getpostman.com/img/v2/logo-glyph.png"></img></a>
                            </div>
                            <div class="col-sm-4" style="padding:20px">
                                <span class="align-middle">Postman was used to easily set up and design our api as well as scrape sample data to catalyze our development process.</span>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>




    <!-- Footer -->

    <footer class="footer">
        <div class="footer_container d-flex flex-xl-row flex-column align-items-start justify-content-start">
            <div class="footer_lists d-flex flex-sm-row  flex-column align-items-start justify-content-start ml-xl-auto">



            </div>
        </div>
        <div class="copyright_bar"> <br/>
            Copyright &copy;<script>document.write(new Date().getFullYear());</script> by SWE Group 4: 10am
            </span>
        </div>
    </footer>
    </div>

<script src="js/jquery-3.2.1.min.js"></script>
<script src="styles/bootstrap-4.1.2/popper.js"></script>
<script src="styles/bootstrap-4.1.2/bootstrap.min.js"></script>
<script src="plugins/greensock/TweenMax.min.js"></script>
<script src="plugins/greensock/TimelineMax.min.js"></script>
<script src="plugins/scrollmagic/ScrollMagic.min.js"></script>
<script src="plugins/greensock/animation.gsap.min.js"></script>
<script src="plugins/greensock/ScrollToPlugin.min.js"></script>
<script src="plugins/OwlCarousel2-2.2.1/owl.carousel.js"></script>
<script src="plugins/easing/easing.js"></script>
<script src="plugins/progressbar/progressbar.min.js"></script>
<script src="plugins/parallax-js-master/parallax.min.js"></script>
<script src="plugins/jPlayer/jquery.jplayer.min.js"></script>
<script src="plugins/jPlayer/jplayer.playlist.min.js"></script>
<script src="js/about.js"></script>
</body>
</html>
